﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Data;
using DataTreeExample.ViewModels;
using Infragistics.Controls.Menus;

namespace DataTreeExample
{
    public class Converter1 : IValueConverter
    {

        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            if (value is XamDataTreeNodeDataContext)
            {
                XamDataTreeNodeDataContext dataContext = (XamDataTreeNodeDataContext)value;
                if (dataContext.Node.NodeLayout.HeaderContentResolved.ToString() == "Room Layout" ||
                    dataContext.Node.NodeLayout.HeaderContentResolved.ToString() == "Window Layout")
                {
                    if (dataContext.Node.Data is HouseViewModel)
                    {
                        return 0;
                    }
                }
            }
            return value;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            return value;
        }
    }
}
