﻿using System.Collections.ObjectModel;

namespace DataTreeExample.ViewModels
{
   public class MainViewModel : ViewModelBase
   {
      public ObservableCollection<HouseViewModel> Houses { get; set; }
      public ObservableCollection<ViewModelBase> Collection1 { get; set; }

      public MainViewModel()
      {
         Houses = new ObservableCollection<HouseViewModel> {new HouseViewModel {Name = "My New House"}};
         //HouseViewModel houseViewModel1 = new HouseViewModel();
         Collection1 = new ObservableCollection<ViewModelBase> { new HouseViewModel(),
                                                                    new RoomViewModel{Name = "Living Room"}};
      }
   }
}
