﻿using System.Collections.ObjectModel;

namespace DataTreeExample.ViewModels
{
   public class RoomViewModel : ViewModelBase
   {
      private string _name;

      public ObservableCollection<WindowViewModel> Windows { get; set; }

      public string Name
      {
         get
         {
            return _name;
         }
         set
         {
            if (_name != value)
            {
               _name = value;
               OnPropertyChanged("Name");
            }
         }
      }

      public RoomViewModel()
      {
         Windows = new ObservableCollection<WindowViewModel>();
      }


   }
}
